---
title: Ukiyo
description: Personalized Smart Signage w/ Machine Learning
published: true
date: 2019-11-17T00:42:32.210Z
tags: 
---

<p align="center">

<a href="" rel="noopener">

<img src="https://cloud.fosc.space/core/preview?fileId=7286&x=1366&y=768&a=true" alt="Ukiyo"></a>

</p>

<h3 align="center">Ukiyo</h3>

<div align="center">

[![Junction](https://img.shields.io/badge/hackathon-Junction-purple)](https://www.hackjunction.com/)

[![Status](https://img.shields.io/badge/status-active-success.svg)]()

[![License](https://img.shields.io/badge/license-MIT-blue.svg)](LICENSE.md)

</div>

---

<p align="center"> Ukiyo is an encompassing solution to student oriented digital signage, giving both users and owners insights on information that is useful to them.

On the user side, tenants coming or going into the building are provided information on their day, following events, weather and all the smart mirror things.

Once a student gets closer, things change. We are able to identify them (with their permission, of course) and show them personalized information that is more relevant to them, such as their following classes.

However, to the building owners, Ukiyo is a strong data analysis platform, able to capture outlier communities and help them solve problems faster.

Is someone mining bitcoin in their dormitory? Is there a water leak? Are those more common in summer? These questions can be answered automatically by it.

<br> 


</p>

## 📝 Table of Contents

- [Problem Statement](#problem_statement)

- [Idea / Solution](#idea)

- [Dependencies / Limitations](#limitations)

- [Future Scope](#future_scope)

- [Setting up a local environment](#getting_started)

- [Usage](#usage)

- [Technology Stack](#tech_stack)

- [Contributing](../CONTRIBUTING.md)

- [Authors](#authors)

- [Acknowledgments](#acknowledgments)

## 🧐 Problem Statement <a name = "problem_statement"></a>

It is useful to design and follow a specific format when writing a problem statement. While there are several options

for doing this, the following is a simple and straightforward template often used in Business Analysis to maintain

focus on defining the problem.

- IDEAL: This section is used to describe the desired or “to be” state of the process or product. At large, this section

should illustrate what the expected environment would look like once the solution is implemented.

- REALITY: This section is used to describe the current or “as is” state of the process or product.

- CONSEQUENCES: This section is used to describe the impacts on the business if the problem is not fixed or improved upon.

This includes costs associated with loss of money, time, productivity, competitive advantage, and so forth.

Following this format will result in a workable document that can be used to understand the problem and elicit

requirements that will lead to a winning solution.

## 💡 Idea / Solution <a name = "idea"></a>

This section is used to describe potential solutions.

Once the ideal, reality, and consequences sections have been

completed, and understood, it becomes easier to provide a solution for solving the problem.

## ⛓️ Dependencies / Limitations <a name = "limitations"></a>

- What are the dependencies of your project?

- Describe each limitation in detailed but concise terms

- Explain why each limitation exists

- Provide the reasons why each limitation could not be overcome using the method(s) chosen to acquire.

- Assess the impact of each limitation in relation to the overall findings and conclusions of your project, and if

appropriate, describe how these limitations could point to the need for further research.

## 🚀 Future Scope <a name = "future_scope"></a>

Write about what you could not develop during the course of the Hackathon; and about what your project can achieve

in the future.

## 🏁 Getting Started <a name = "getting_started"></a>

These instructions will get you a copy of the project up and running on your local machine for development

and testing purposes. See [deployment](#deployment) for notes on how to deploy the project on a live system.

### Prerequisites

What things you need to install the software and how to install them.

```

Give examples

```

### Installing

A step by step series of examples that tell you how to get a development env running.

Say what the step will be

```

Give the example

```

And repeat

```

until finished

```

## 🎈 Usage <a name="usage"></a>

Add notes about how to use the system.

## ⛏️ Built With <a name = "tech_stack"></a>

- [MongoDB](https://www.mongodb.com/) - Database

- [Express](https://expressjs.com/) - Server Framework

- [VueJs](https://vuejs.org/) - Web Framework

- [NodeJs](https://nodejs.org/en/) - Server Environment

## ✍️ Authors <a name = "authors"></a>

- [@Raniita](https://github.com/Raniita)

- [@Elementh](https://github.com/elementh)

- [@ElGuayaba](https://github.com/ElGuayaba)

- [@P4block](https://gitlab.com/p4block)

- [@Crstian19](https://gitlab.com/Crstian19)

## 🎉 Acknowledgments <a name = "acknowledgments"></a>

- Hat tip to anyone whose code was used

- Inspiration

- References
